{% extends 'base.html.twig' %}
{% block css %}<link rel="stylesheet" href="/style{{ user.color }}.css">{% endblock %}
{% block header %}{% endblock %}



{% block title %}WoolTree - {{ user.pseudo }}{% endblock %}

{% block body %}

    {% for message in app.flashes('success') %}
        <div class="alert alert-success alert-dismissible fade show">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% endfor %}

    {% for message in app.flashes('error') %}
        <div class="alert alert-danger alert-dismissible fade show">
            {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
            </button>
        </div>
    {% endfor %}

    <div class="article-container my-1">
        {% set avatar = '/uploads/avatar/' ~ user.imageName %}

        {% if user.imageName %}
            <div>
                <img class="img-fluid rounded-circle" src="{{ asset(avatar)| imagine_filter('squared_thumbnail_small') }}">
            </div>
        {% endif %}

    </div>

    <h5>@{{ user.pseudo }}</h5>

    {% for link in links %}
        <div class="row justify-content-center">
            <div class="col-md-6">
                <p>
                    <a href="{{ path('link_redirect', {'slug': link.slug}) }}" class="btn uza-btn btn-block" data-animation="fadeInUp" data-delay="700ms">
                        {% if link.iconIsActivated %}
                            <i class="{{ link.logo }}"></i>
                        {% endif %} {{ link.name }}
                    </a>
                </p>
            </div>
        </div>
    {% endfor %}

    {% if user.newsletterIsActived %}
        <hr class="mt-5 mb-5">
        <div class="row justify-content-center">
            <div class="col-md-6">
                {{ form_start(form) }}
                    {{ form_widget(form.email, {'attr': {'class': 'form-control shadow-lg p-3 mb-5 bg-white rounded'}}) }}
                    <p></p>
                    <button class="btn uza-btn btn-2">{% trans %}Subscribe to the newsletter{% endtrans %}</button>
                {{ form_end(form) }}
            </div>
        </div>
    {% endif %}        

{% endblock %}



{% block footer %}
    <footer>
        <div class="text-center">
            <div>
                <a href="{{ path('home') }}">
                    <img src="/img/core-img/logo_footer.png" alt="">
                    WoolTree
                </a> by <a href="http://petite-moutaine.fr">PM</a> and <a href="https://www.linkedin.com/in/yoan-bernabeu-392638116/">Yoan B</a><br>
                <p></p>
            </div>
        </div>
    </footer>
{% endblock %}

{% block rgpd %}
<!-- Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id={{ ID_GOOGLE_ANALYTICS }}"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', '{{ ID_GOOGLE_ANALYTICS }}');
</script>
{% endblock %}